#pragma once
#include "../base/provider_interface.hpp"

namespace lsp::providers::initialized
{
    class InitializedProvider : public INotificationProvider
    {
    public:
        InitializedProvider() = default;
        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ProviderContext& context) override;
    };
}
